- Qt 6.5
- Qt 3D
- C++ Classes
- Qt3DRender
- QStencilOperation
- Qt 6.5.1 Reference Documentation

# QStencilOperation Class

class Qt3DRender::QStencilOperation

The QStencilOperation class specifies stencil operation. More...

Header: | #include <QStencilOperation>
CMake: | find_package(Qt6 REQUIRED COMPONENTS 3drender) target_link_libraries(mytarget PRIVATE Qt6::3drender)
qmake: | QT += 3drender
Instantiated By: | StencilOperation
Inherits: | Qt3DRender::QRenderState

- List of all members, including inherited members

## Properties

- back : Qt3DRender::QStencilOperationArguments* const
- front : Qt3DRender::QStencilOperationArguments* const

## Public Functions

| QStencilOperation(Qt3DCore::QNode *parent = nullptr)
Qt3DRender::QStencilOperationArguments * | back() const

## Detailed Description

A Qt3DRender::QStencilOperation class specifies the stencil operations for the front- and back-facing polygons. The stencil operation control what is done to fragment when the stencil and depth test pass or fail.

See also Qt3DRender::QStencilTest.

## Property Documentation

### `[read-only]` back : Qt3DRender::QStencilOperationArguments* const

Holds the stencil operation arguments for back-facing polygons.

Access functions:

Qt3DRender::QStencilOperationArguments * | back() const

### `[read-only]` front : Qt3DRender::QStencilOperationArguments* const

Holds the stencil operation arguments for front-facing polygons.

## Member Function Documentation

### `[explicit]` QStencilOperation::QStencilOperation(Qt3DCore::QNode *parent = nullptr)

The constructor creates a new QStencilOperation::QStencilOperation instance with the specified parent.